%if %{defined fedora}
    %define RELEASENUM %fedora
    %define RELEASE Fedora
%endif
%if %{defined centos}
    %define RELEASENUM %centos
    %define RELEASE CentOS
%endif
Summary:	DoReMi Repository Configuration
Group:		System Environment/Base
Name:		doremi-release
Version:	%{RELEASENUM}
Release: 	2
License:	GPL
URL:		http://fedorapeople.org/~easior/fedora
Source0:	doremi-Fedora.repo
Source1:        doremi-CentOS.repo
Source2:	RPM-GPG-KEY-doremi
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	system-release >= %{version}

%description
DoReMi repository is an unofficial Fedora YUM repository. It contains some 
favorite packages of mine. You could install it at your own risk.

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT

# Create dirs
%{__install} -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key
%{__install} -Dp -m644 \
    %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-doremi-%{RELEASE}-%{RELEASENUM}-primary


# Avoid using basearch in name for the key. Introduced in F19
ln -s $(basename %{SOURCE2})-%{RELEASE}-%{RELEASENUM}-primary $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-doremi-%{RELEASE}-%{RELEASENUM}

# Yum .repo files
%if %{defined fedora}
    %{__install} -p -m644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/doremi-release.repo
%endif
%if %{defined centos}
    %{__install} -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/doremi-release.repo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Sat Sep 21 2013 Easior Lars <easior@fedoraproject.org>
- doremi-release spec is now independent of Red Hat distribution.

* Sun Jan 20 2013 Easior Lars <easior@fedoraproject.org> - 20-1
- Initial build.

